%global pypi_name sphinx_lv2_theme
%define rpmname   sphinx-lv2-theme

Name:           python-%{rpmname}
Version:        1.2.2
Release:        %mkrel 1
Summary:        A minimal static theme for Sphinx
Group:          Development/Python
License:        ISC
URL:            https://gitlab.com/lv2/%{pypi_name}
Source0:        https://gitlab.com/lv2/%{pypi_name}/-/archive/v1.2.2/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Sphinx LV2 Theme This is a minimal pure-CSS theme for [Sphinx][] that uses the
documentation style of the [LV2][] plugin specification and related
projects.This theme is geared toward producing beautiful API documentation for
C, C++, and Python that is documented using the standard Sphinx domains. The
output does not use Javascript at all, and some common features are not
implemented, so this...

%package -n     python3-%{rpmname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
Requires:       python3dist(sphinx)
%description -n python3-%{rpmname}
Sphinx LV2 Theme This is a minimal pure-CSS theme for [Sphinx][] that uses the
documentation style of the [LV2][] plugin specification and related
projects.This theme is geared toward producing beautiful API documentation for
C, C++, and Python that is documented using the standard Sphinx domains. The
output does not use Javascript at all, and some common features are not
implemented, so this...


%prep
%autosetup -n sphinx_lv2_theme-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{rpmname}
%license LICENSE
%doc README.md
%{python3_sitelib}/sphinx_lv2_theme
%{python3_sitelib}/sphinx_lv2_theme-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Dec 11 2022 philippedidier <philippedidier> 1.2.2-1.mga9
+ Revision: 1920657
- imported package python-sphinx-lv2-theme

